﻿//// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
//// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
//// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//// PARTICULAR PURPOSE.
////
//// Copyright (c) Microsoft Corporation. All rights reserved

(function () {
    "use strict";

    var page = WinJS.UI.Pages.define("/html/scenario1.html", {
        ready: function (element, options) {
            document.getElementById("search").addEventListener("click", search, false);
        }
    });

    function search() {
        // Initiate the div elements
        var outputDiv = document.getElementById("output");
        var queryBox = document.getElementById("queryBox");

        // Retrieve the query entered in the textbox
        var searchFilter = queryBox.value;

        // Create a new file query from the music library and apply the AQS filter
        var musicLibrary = Windows.Storage.KnownFolders.musicLibrary;
        var options = new Windows.Storage.Search.QueryOptions(Windows.Storage.Search.CommonFileQuery.orderBySearchRank, ["*"]);
        options.userSearchFilter = searchFilter;
        var fileQuery = musicLibrary.createFileQueryWithOptions(options);
        
        fileQuery.getFilesAsync().done(function (files) {
            if (files.size === 0) {
                outputDiv.innerHTML = "No files found for \"<b>" + searchFilter + "</b>\"";
            } else {
                // Create an output string to hold results count and filenames
                var filesLabel = (files.size === 1) ? "file" : "files";
                var output = "<b>" + files.size + " " + filesLabel + " found</b><br>";

                // Iterate through the results and print each filename to the output field
                files.forEach(function (file) {
                    output += file.name + "<br>";
                });
                outputDiv.innerHTML = output;
            }
        });
    }
})();
